PUT /buyer_suppressions/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/buyer_suppressions/:id

Update suppression list by id.

Updates a suppression list's name or the buyers it is attached to. It does not add or remove individual blocked numbers; use caller_block and caller_unblock for that.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

caller_id_column_name
Optional Blank value allowed

Caller Id Column Name

  • Must be a String

buyer_ids
Optional Blank value allowed

The list of internal buyer ID’s that will use this suppression list.

  • Must be a valid array of integers. Each integer ID must be a valid foreign key reference to an Buyer. Refer to: /api/docs/1.0/buyers

headers
Optional Blank value allowed

The column headers found in the uploaded CSV file, used to populate the choices for caller_id_column_name.

  • Must be an array of strings. EG: ["abc123", "xzy023"]

add_buyer_ids
Optional Blank value allowed

Append buyers to this record.
For example pass: [100123,100124] in order to append 100123, and 100124 to the list of buyers in the record.
<strong>This is useful when making parallel PUT requests with different add_buyer_ids or remove_buyer_ids values. These add/remove assignments are thread safe.</strong>

  • Must be a valid array of integers. Each integer ID must be a valid foreign key reference to an Buyer. Refer to: /api/docs/1.0/buyers

remove_buyer_ids
Optional Blank value allowed

Remove buyers from the record.
For example pass: [100123] in order to delete 100123 from the list of buyers in the record.

  • Must be a valid array of integers. Each integer ID must be a valid foreign key reference to an Buyer. Refer to: /api/docs/1.0/buyers

add_user_buyer_ids
Optional

Append buyers to the record using the buyer field user_buyer_id
For example pass: ["loan-22-en", "loan-23-fr"]

  • Must be an array of strings. EG: ["abc123", "xzy023"]

remove_user_buyer_ids
Optional

Remove buyers from the record using buyer field user_buyer_id
For example pass: ["loan-23-fr"]

  • Must be an array of strings. EG: ["abc123", "xzy023"]